[OneSignal Plugin] Cannot read property '_onDestroyCallback' of undefined

Forge Component
(13)
Published on 18 Oct (4 weeks ago) by OutSystems R&D
13 votes
Published on 18 Oct (4 weeks ago) by OutSystems R&D

Hi,

We have this error after we integrate with OneSignal plugin in our mobile app(Android). We are using a cloned version of the plugins and our environment is in cloud.


When I checked the error log, it started with a connection timeout then followed by Cannot read property '_onDestroyCallback' of undefined,  I am not sure if these errors are related


Is there a way to handle this or fix for this like the error below:

Cannot read property 'previousScope' of undefined

https://www.outsystems.com/forums/discussion/26655/cannot-read-property-previousscope-of-undefined/

Note: We already implemented the fix for Cannot read property 'previousScope' of undefined. We just followed the instruction in that link.


Thank you very much





How did you solve this problem? We are going through the same situation.

Hi,


Are you getting the error on Browser or a Mobile Application? If it's in a Mobile Application after you integrated the OneSignal Plugin, did you generate the app again?


Thanks.

Hello,


I'm getting this bug on a mobile device and yes the application was regenerated after the implementation of the one signal.


Thanks!

Hi,


We too facing the same issue in our production environment, kindly help us to solve this issue.

Herewith I had attached attached the snips of error log.


Vitor Oliveira wrote:

Hi,


Are you getting the error on Browser or a Mobile Application? If it's in a Mobile Application after you integrated the OneSignal Plugin, did you generate the app again?


Thanks.

The problem is on Android (mobile)


Hi,


I was troubleshooting the issue and the error seems to be related with Common Plugin dependency and not directly related to OneSignal. The latest version of that plugin should have that error fixed. Can you confirm if you're using the latest version of this component?


Best regards

Hi Vitor,

Thanks for the information. Currently we are using the latest version of One signal plugin, and we do not experiencing any previously reported errors. We will get back to you if we encounter anything in future. Thanks for your help and guidance.

Regards.

Vitor Oliveira wrote:

Hi,


I was troubleshooting the issue and the error seems to be related with Common Plugin dependency and not directly related to OneSignal. The latest version of that plugin should have that error fixed. Can you confirm if you're using the latest version of this component?


Best regards

My problem is solved with install new version of Common Plugin.